﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BladhusInterfaceLibrary;
using System.Runtime.Serialization;

namespace BladhusClassLibrary
{
    [DataContract(IsReference = true)]
    class BladKartotek : IBladKartotek
    {
        [DataMember]
        private List<IBlad> alleBladene = new List<IBlad>();

        public IBlad OpretBlad(string navn, string udgivelsesfrekvens)
        {
            Blad nyBlad = new Blad(navn,udgivelsesfrekvens);
            this.alleBladene.Add(nyBlad);
            return nyBlad;
        }

        public List<IBlad> FindAlleBlade()
        {
            return new List<IBlad>(this.alleBladene);       // vigtigt - ny liste med alle
        }

        public IBlad FindKundeMedNavn(int valgtNavn)
        {
            throw new NotImplementedException();
        }

        public List<IBlad> FindAlleMedUdgivelsesFrekvens(string valgtUdgivelsesfrekvens)
        {
            throw new NotImplementedException();
        }
    }
}
