﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BladhusInterfaceLibrary;
using System.Runtime.Serialization;

namespace BladhusClassLibrary
{
    [DataContract(IsReference = true)]
    class Bladhus : IBladhus        // Der samles i eet objekt af hensyn til let serialisering
    {
        [DataMember]
        public IKundeKartotek Kundekartoteket { get; private set; }
        [DataMember]
        public IBladKartotek Bladkartoteket { get; private set; }

        internal Bladhus()
        {
            this.Kundekartoteket = new KundeKartotek();
            this.Bladkartoteket = new BladKartotek();
        }
    }
}
