﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BladhusInterfaceLibrary;
using System.Runtime.Serialization;

namespace BladhusClassLibrary
{
    [DataContract(IsReference = true)]
    class KundeKartotek : IKundeKartotek
    {
        [DataMember]
        private List<IKunde> alleKunderne = new List<IKunde>();

        public IKunde OpretKunde(int kundenr, string navn, string gade, string postnr, string postby, string email)
        {
            Kunde nyKunde = new Kunde(kundenr, navn, gade, postnr, postby, email);
            this.alleKunderne.Add(nyKunde);
            return nyKunde;
        }

        public List<IKunde> FindAlleKunder()
        {
            return new List<IKunde>(this.alleKunderne);         // ny liste med alle
        }

        public IKunde FindKundeMedKundenr(int valgtKundenr)
        {
            throw new NotImplementedException();
        }

        public IKunde FindKundeMedEmail(string valgtEmail)
        {
            throw new NotImplementedException();
        }

        public List<IKunde> FindKunderMedNavn(string navn)
        {
            throw new NotImplementedException();
        }
    }
}
