﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BladhusInterfaceLibrary
{
    public interface IBlad
    {
        string BladNavn { get; }
        string Udgivelsesfrekvens { get; }
        void RetStamdata(string navn, string udgivelsesfrekvens);

        // // Asocciering - ikke synlige udaftil derfor ikke på interface
        //void AssocierAbonnement(IAbonnement valgtAbonnement);

        List<IAbonnement> FindAlleBladetsAbonnementer();
        List<IKunde> FindAlleBladetsKunder();      // Indirekte - vi skal her kun have selve kunderne
    }
}
