﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BladhusInterfaceLibrary;
using BladhusClassLibrary;

namespace Bladhus_WebApplication
{
    public partial class WebFormFindKunder : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void BtnFindAlleKunder_Click(object sender, EventArgs e)
        {
            GlobaleData.UdvalgtKundeliste = GlobaleData.Bladhuset.Kundekartoteket.FindAlleKunder();
            Response.Redirect("WebFormKundeOversigt.aspx");
        }

        protected void BtnFindKundenr_Click(object sender, EventArgs e)
        {
            int findKundenr = int.Parse(this.TbxFind.Text.Trim());
            GlobaleData.UdvalgtKunde = GlobaleData.Bladhuset.Kundekartoteket.FindKundeMedKundenr(findKundenr);
            if (GlobaleData.UdvalgtKunde != null)
                Response.Redirect("WebFormKundedetail.aspx");
        }

        protected void BtnFindNavn_Click(object sender, EventArgs e)
        {
            string findNavn = this.TbxFind.Text.Trim();
            GlobaleData.UdvalgtKundeliste = GlobaleData.Bladhuset.Kundekartoteket.FindKunderMedNavn(findNavn);
            if (GlobaleData.UdvalgtKundeliste.Count >0)
                Response.Redirect("WebFormKundeOversigt.aspx");
        }
    }
}