﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BladhusClassLibrary;

namespace Bladhus_WebApplication
{
    public partial class WebFormKundedetail : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (GlobaleData.UdvalgtKunde == null)
                Response.Redirect("WebFormFindKunder.aspx");
            if (IsPostBack) return;
            VisKundeData();
        }

        private void VisKundeData()
        {
            this.TbxKundenr.Text = GlobaleData.UdvalgtKunde.Kundenr.ToString();
            this.TbxKundenavn.Text = GlobaleData.UdvalgtKunde.Navn;
        }

        protected void BtnCancel_Click(object sender, EventArgs e)
        {
            VisKundeData();
        }

        protected void BtnOpdaterKunde_Click(object sender, EventArgs e)
        {
            string navn = TbxKundenavn.Text;
            string gade = GlobaleData.UdvalgtKunde.Gade;
            string postnr = GlobaleData.UdvalgtKunde.Postnr;
            string postby = GlobaleData.UdvalgtKunde.Postby;
            string email = GlobaleData.UdvalgtKunde.Email;

            GlobaleData.UdvalgtKunde.RetStamdata(navn, gade, postnr, postby, email);
            VisKundeData();     // opdater hvis flere data ændres
        }
    }
}